/*-
# X-BASED MISSING LINK(tm)
#
#  Mlink.h
#
###
#
#  Copyright (c) 1994 - 2002	David Albert Bagley, bagleyd@tux.org
#
#                   All Rights Reserved
#
#  Permission to use, copy, modify, and distribute this software and
#  its documentation for any purpose and without fee is hereby granted,
#  provided that the above copyright notice appear in all copies and
#  that both that copyright notice and this permission notice appear in
#  supporting documentation, and that the name of the author not be
#  used in advertising or publicity pertaining to distribution of the
#  software without specific, written prior permission.
#
#  This program is distributed in the hope that it will be "playable",
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
*/

/* Public header file for Mlink */

#ifndef _XtMlink_h
#define _XtMlink_h

/***********************************************************************
 *
 * Mlink Widget
 *
 ***********************************************************************/

#define XtNselectCallback ((char *) "selectCallback")
#define XtNuserName ((char *) "userName")
#define XtNtiles ((char *) "tiles")
#define XtNfaces ((char *) "faces")
#define XtNorient ((char *) "orient")
#define XtNmiddle ((char *) "middle")
#define XtNbase ((char *) "base")
#define XtNmono ((char *) "mono")
#define XtNreverse ((char *) "reverse")
#define XtNstart ((char *) "start")
#define XtNmenu ((char *) "menu")
#define XtNtileColor ((char *) "tileColor")
#define XtNtileBorder ((char *) "tileBorder")
#define XtNfaceColor0 ((char *) "faceColor0")
#define XtNfaceColor1 ((char *) "faceColor1")
#define XtNfaceColor2 ((char *) "faceColor2")
#define XtNfaceColor3 ((char *) "faceColor3")
#define XtNfaceColor4 ((char *) "faceColor4")
#define XtNfaceColor5 ((char *) "faceColor5")
#define XtNfaceColor6 ((char *) "faceColor6")
#define XtNfaceColor7 ((char *) "faceColor7")
#define XtCUserName ((char *) "UserName")
#define XtCTiles ((char *) "Tiles")
#define XtCFaces ((char *) "Faces")
#define XtCOrient ((char *) "Orient")
#define XtCMiddle ((char *) "Middle")
#define XtCBase ((char *) "Base")
#define XtCMono ((char *) "Mono")
#define XtCReverse ((char *) "Reverse")
#define XtCMenu ((char *) "Menu")
#define MLINK_RESTORE (-5)
#define MLINK_RESET (-4)
#define MLINK_BLOCKED (-3)
#define MLINK_SPACE (-2)
#define MLINK_IGNORE (-1)
#define MLINK_MOVED 0
#define MLINK_SOLVED 1
#define MLINK_CONTROL 2
#define MLINK_RANDOMIZE 3
#define MLINK_ORIENT 4
#define MLINK_MIDDLE 5
#define MLINK_DEC_X 6
#define MLINK_INC_X 7
#define MLINK_DEC_Y 8
#define MLINK_INC_Y 9
#define MLINK_COMPUTED 10
#define MLINK_UNDO 11

typedef struct _MlinkClassRec *MlinkWidgetClass;
typedef struct _MlinkRec *MlinkWidget;

extern WidgetClass mlinkWidgetClass;

typedef struct {
	XEvent     *event;
	int         reason;
} mlinkCallbackStruct;

#endif /* _XtMlink_h */
/* DON'T ADD STUFF AFTER THIS #endif */
